Bug 28435 - non-strict inter-package dependencies
: non-strict inter-package dependencies
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libavdevice)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-01-24 05:02 by
Modified: 2014-12-03 13:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-01-24 05:02:54
warning: avserver: non-strict dependency on libavutil51
warning: avserver: non-strict dependency on libpostproc
warning: avserver: non-strict dependency on libswscale
warning: avserver: non-strict dependency on libavdevice
warning: avserver: non-strict dependency on libavfilter
warning: avplay: non-strict dependency on libavutil51
warning: avplay: non-strict dependency on libpostproc
warning: avplay: non-strict dependency on libswscale
warning: avplay: non-strict dependency on libavdevice
warning: avplay: non-strict dependency on libavfilter
warning: avprobe: non-strict dependency on libavutil51
warning: avprobe: non-strict dependency on libpostproc
warning: avprobe: non-strict dependency on libswscale
warning: avprobe: non-strict dependency on libavdevice
warning: avprobe: non-strict dependency on libavfilter
warning: avconv: non-strict dependency on libpostproc
warning: avconv: non-strict dependency on libswscale
warning: libavcodec53: non-strict dependency on libavutil51
warning: libavdevice: non-strict dependency on libavcodec53
warning: libavfilter: non-strict dependency on libavcodec53
warning: libavfilter-devel: non-strict dependency on libavcodec-devel
warning: libavformat53: non-strict dependency on libavutil51
warning: libavdevice: non-strict dependency on libavformat53
warning: libavfilter: non-strict dependency on libavformat53
warning: libpostproc: non-strict dependency on libavutil51
warning: libswscale: non-strict dependency on libavutil51
warning: libavdevice: non-strict dependency on libavutil51
warning: libavfilter: non-strict dependency on libavutil51
warning: libavdevice-devel: non-strict dependency on libavutil-devel
warning: libavfilter-devel: non-strict dependency on libavutil-devel
warning: libavfilter: non-strict dependency on libswscale
------- Comment #1 From 2013-01-28 23:57:00 -------
Вопрос может быть решен простой пересборкой пакета.
------- Comment #2 From 2013-01-29 00:05:06 -------
я планирую собирать следующую major версию и соответственно
нынешнюю в урезанном виде. пересборка же в нынешнем виде
добавит неудобств с наследованием.
------- Comment #3 From 2013-01-29 00:14:35 -------
Я не к тому это написал, что надо поскорее пересобрать, а скорее к тому, что
вопрос, скорее всего, решится вместе с очередной сборкой пакета.  Если она
будет совсем не скоро, то лучше не ждать и пересобрать то, что есть.
------- Comment #4 From 2014-12-03 13:42:08 -------
supposedly fixed automagically